DistanceQueryBuilder (Lucene 3.6.2 API)
Keywords: org.apache.lucene.spatial.tier.DistanceQueryBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.tier
Class DistanceQueryBuilder

    java.lang.Object
      org.apache.lucene.spatial.tier.DistanceQueryBuilder

Deprecated.

    @Deprecated
    public class DistanceQueryBuilder

extends Object

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Constructor Summary
`DistanceQueryBuilder(double lat, double lng, double miles, String geoHashFieldPrefix, String tierFieldPrefix, boolean needPrecise, int minTierIndexed, int maxTierIndexed)` Deprecated. Create a distance query using a boundary box wrapper around a more precise DistanceFilter.
`DistanceQueryBuilder(double lat, double lng, double miles, String latField, String lngField, String tierFieldPrefix, boolean needPrecise, int minTierIndexed, int maxTierIndexed)` Deprecated. Create a distance query using a boundary box wrapper around a more precise DistanceFilter.

Method Summary
`DistanceFilter` | `getDistanceFilter()` Deprecated.
`org.apache.lucene.search.Filter` | `getFilter()` Deprecated. Create a distance query using a boundary box wrapper around a more precise DistanceFilter.
`org.apache.lucene.search.Filter` | `getFilter(org.apache.lucene.search.Query query)` Deprecated.
`double` | `getLat()` Deprecated.
`double` | `getLng()` Deprecated.
`double` | `getMiles()` Deprecated.
`org.apache.lucene.search.Query` | `getQuery(org.apache.lucene.search.Query query)` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DistanceQueryBuilder

    public DistanceQueryBuilder(double lat,
                                double lng,
                                double miles,
                                String latField,
                                String lngField,
                                String tierFieldPrefix,
                                boolean needPrecise,
                                int minTierIndexed,
                                int maxTierIndexed)

  Deprecated.
  Create a distance query using a boundary box wrapper around a more precise DistanceFilter.

  Parameters:
    `lat` - The latitude to search around
    `lng` - the Longitude to search around
    `miles` - The radius to search within
    `latField` - The name of the field containing the latitude
    `lngField` - The name of the field containing the longitude
    `tierFieldPrefix` - The prefix of the tier
    `needPrecise` - if true, then distance is calculated in addition to tier info
    `minTierIndexed` - The minimum tier level indexed
    `maxTierIndexed` - The maximum tier level indexed

### DistanceQueryBuilder

    public DistanceQueryBuilder(double lat,
                                double lng,
                                double miles,
                                String geoHashFieldPrefix,
                                String tierFieldPrefix,
                                boolean needPrecise,
                                int minTierIndexed,
                                int maxTierIndexed)

  Deprecated.
  Create a distance query using a boundary box wrapper around a more precise DistanceFilter.

  Parameters:
    `lat` -
    `lng` -
    `miles` -

Method Detail

### getFilter

    public org.apache.lucene.search.Filter getFilter()

  Deprecated.
  Create a distance query using a boundary box wrapper around a more precise DistanceFilter.

### getFilter

    public org.apache.lucene.search.Filter getFilter(org.apache.lucene.search.Query query)

  Deprecated.

### getDistanceFilter

    public DistanceFilter getDistanceFilter()

  Deprecated.

### getQuery

    public org.apache.lucene.search.Query getQuery(org.apache.lucene.search.Query query)

  Deprecated.

### getLat

    public double getLat()

  Deprecated.

### getLng

    public double getLng()

  Deprecated.

### getMiles

    public double getMiles()

  Deprecated.

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD